{"swagger":"2.0","info":{"version":"v2","title":"AAE Service (NPAU_UAT00)"},"host":"sa-e2-npau-ut00-v8ptn-api.sagentapps.net:7003","schemes":["https"],"paths":{"/V1/GetAccountDetailsStub":{"post":{"tags":["AccountDetails"],"summary":"Gets account details","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Account.AccountDetailsRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Account.AccountDetailsResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetAccountDetails":{"post":{"tags":["AccountDetails"],"summary":"Gets account details","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.AccountDetails.AccountRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Account.AccountDetailsResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetAccountDetailsByKey":{"post":{"tags":["AccountDetails"],"summary":"Allows for search with keys","description":"Valid keys are as follows: VinLast8_SsnPin, FullSSNOnly, FullVINOnly, VinLast8, AccountNbr_SsnPin, PhoneNbr_SsnPin, PhoneNbrOnly, Last6Ssn_ZipCode, AccountNbrOnly, AccountNbr_VinLast5","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request by key.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Account.AccountDetailsRequestByKey"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Account.AccountDetailsResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/UserAccountDetails":{"post":{"tags":["AccountDetails"],"summary":"Gets account details","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.AccountDetails.UserAccountDetailRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.AccountDetails.Porsche.UserAccountResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/PostAccountMemo":{"post":{"tags":["AccountMemo"],"summary":"Saves a new account memo","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"memoRequest","in":"body","description":"The account memo request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.AccountMemo.AccountMemoRequestDto"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.AccountMemo.AccountMemoResponseDto"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetAccountMemo":{"post":{"tags":["AccountMemo"],"summary":"Gets account memos by account numbers.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.AccountMemo.AccountMemoDetailRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.AccountMemo.AccountMemoDetailResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/PostAccountPayment":{"post":{"tags":["AccountPaymentReversal"],"summary":"Post a payment or reversal to an account","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"paymentRequest","in":"body","description":"The account payment request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.AccountPaymentReversal.AccountPaymentRequestDto"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.AccountPaymentReversal.AccountPaymentResponseDto"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/AchEnrollment/Prequalify":{"post":{"tags":["AchEnrollmentWorkRequest"],"summary":"Get the prequalification response.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"workRequestQualifierRequestDto","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.PreQualifier.WorkRequestQualifierRequestDto"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.PreQualifier.PreQualifierResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/AchEnrollment/AchEnrollmentInformation":{"post":{"tags":["AchEnrollmentWorkRequest"],"summary":"Get the Ach Enrollment Account information response.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"workRequestQualifierRequestDto","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.PreQualifier.WorkRequestQualifierRequestDto"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.PreQualifier.AchEnrollmentPreQualifierResponseDto"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/AchEnrollment/AchEnrollmentInformation2":{"post":{"tags":["AchEnrollmentWorkRequest"],"summary":"Get the Ach Enrollment Account information response.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"workRequestQualifierRequestDto","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.PreQualifier.WorkRequestQualifierRequestDto"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.PreQualifier.AchEnrollmentPreQualifierResponseDto"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/AchEnrollment/Save":{"post":{"tags":["AchEnrollmentWorkRequest"],"summary":"Add a new record for Ach Enrollmwnt Work request.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"workRequestDto","in":"body","description":"The request for adding a Ach Enrollmwnt Work request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.ACH.AchEnrollmentWorkRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.ACH.AchEnrollmentResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/AchEnrollment/Cancel":{"post":{"tags":["AchEnrollmentWorkRequest"],"summary":"Add a new record for Ach Enrollmwnt Work request.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"workRequestDto","in":"body","description":"The request for adding a Ach Enrollmwnt Work request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.ACH.AchEnrollmentWorkRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.ACH.AchEnrollmentResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetAmortizationSchedule":{"post":{"tags":["AmortizationSchedule"],"summary":"The post payment history.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.AmortizationSchedule.AmortizationScheduleRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.AmortizationSchedule.AmortizationScheduleResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/SaveBookingAccountInfo":{"post":{"tags":["Booking"],"summary":"Saves the account booking data.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"bookingRequest","in":"body","description":"The booking request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Booking.BookingRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Booking.BookingResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/BorrowerAccount/BorrowerUserSession":{"post":{"tags":["BorrowerAccount"],"summary":"The get.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.UserSessionRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.UserSessionResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/BorrowerAccount/LinkUserAccount":{"post":{"tags":["BorrowerAccount"],"summary":"The get.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.ValidateAndLinkRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.AccountLinkedResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/BorrowerAccount/LinkUserMultipleAccount":{"post":{"tags":["BorrowerAccount"],"summary":"The get.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.ValidateAndLinkRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.AccountLinkedResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/BorrowerAccount/DelinkUserAccount":{"post":{"tags":["BorrowerAccount"],"summary":"Validate and delink borrower account.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request to validate and delink borrower account.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.ValidateAndDelinkRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.AccountDelinkedResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/BorrowerAccount/Hardship/Get":{"post":{"tags":["BorrowerAccount"],"summary":"Gets borrower hardship details.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"queryRequest","in":"body","description":"The request to get borrower hardship details.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.MessageDetailsQueryRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.BorrowerHardshipQueryResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/BorrowerAccount/Hardship/Save":{"post":{"tags":["BorrowerAccount"],"summary":"Saves borrower hardship details.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"saveRequest","in":"body","description":"The request to save borrower hardship details.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.BorrowerHardshipSaveRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.MessageDetailsSaveResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/BorrowerAccount/Bank/Get":{"post":{"tags":["BorrowerAccount"],"summary":"Gets bank information details.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"queryRequest","in":"body","description":"The request to get bank information details.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.MessageDetailsQueryRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.BankInformationQueryResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/BorrowerAccount/Bank/Save":{"post":{"tags":["BorrowerAccount"],"summary":"Saves borrower hardship details.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"saveRequest","in":"body","description":"The request to save borrower hardship details.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.BankInformationSaveRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.MessageDetailsSaveResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/BorrowerAccount/Checklist/Get":{"post":{"tags":["BorrowerAccount"],"summary":"Gets checklist details.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"queryRequest","in":"body","description":"The request to get checklist details.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.MessageDetailsQueryRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.ChecklistQueryResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/BorrowerAccount/Checklist/Save":{"post":{"tags":["BorrowerAccount"],"summary":"Saves checklist details.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"saveRequest","in":"body","description":"The request to save checklist details.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.ChecklistSaveRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.MessageDetailsSaveResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/BorrowerAccount/Checklist/Complete":{"post":{"tags":["BorrowerAccount"],"summary":"Removes checklist details upon completion.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"deleteRequest","in":"body","description":"The request to delete checklist details.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.MessageDetailsBaseRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.MessageDetailsSaveResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V2/SaveBorrower":{"post":{"tags":["BorrowerAccount"],"consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.SaveBorrower.SaveBorrowerRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.SaveBorrower.SaveBorrowerResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/LinkUserGuid":{"post":{"tags":["BorrowerAccount"],"consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Borrower.BorrowerLinkGuidRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Borrower.BorrowerLinkGuidResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/UpdateEnrolledEmail":{"post":{"tags":["BorrowerAccount"],"summary":"Update the enrolled email for a user.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Borrower.UpdateEnrolledEmail.UpdateEnrolledEmailRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Borrower.UpdateEnrolledEmail.UpdateEnrolledEmailResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/SaveBureauScoreHistory":{"post":{"tags":["BureauScore"],"summary":"Saves the bureau score history data","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"bureauScoreAddRequest","in":"body","description":"The bureau score add request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BureauScoreHistory.BureauScoreAddRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BureauScoreHistory.BureauScoreAddResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetBureauScoreHistory":{"post":{"tags":["BureauScore"],"summary":"Gets the bureau score history data","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"bureauScoreRequest","in":"body","description":"The bureau score fetch request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BureauScoreHistory.BureauScoreRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BureauScoreHistory.BureauScoreResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/CheckfreeNotification":{"post":{"tags":["Checkfree"],"summary":"Gets account details","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Checkfree.CheckfreeRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Checkfree.CheckfreeResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetCollateralData":{"post":{"tags":["Collateral"],"summary":"Gets the collateral data.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"collateralDataRequest","in":"body","description":"The collateral data request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Collateral.CollateralDataRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Collateral.CollateralDataResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/LookupContacts":{"post":{"tags":["Contact"],"summary":"Lookup Contacts.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Contact.ContactLookupRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Contact.ContactLookupResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/AddContact":{"post":{"tags":["Contact"],"summary":"Adds the contact.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"contactRequest","in":"body","description":"The contact request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Contact.ContactRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Contact.ContactRequestResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/UpdateContact":{"post":{"tags":["Contact"],"summary":"Updates the contact.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"contactRequest","in":"body","description":"The contact request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Contact.ContactRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Contact.ContactRequestResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetContactParameters":{"post":{"tags":["Contact"],"summary":"Fetches the parameters used in the Save/Update APIs.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"contactParametersRequest","in":"body","description":"The contact parameters request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Contact.ContactParametersRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Contact.ContactParametersResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/Crypto/Encryption":{"post":{"tags":["Crypto"],"summary":"The get.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Crypto.EncryptionRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Crypto.EncryptionResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/Crypto/Decryption":{"post":{"tags":["Crypto"],"summary":"The get.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Crypto.DecryptionRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Crypto.DecryptionResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/CustomerIntent/Prequalify":{"post":{"tags":["CustomerIntent"],"summary":"Get the prequalification response for capturing customer intent.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"workRequestQualifierRequestDto","in":"body","description":"The prequalification request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.PreQualifier.WorkRequestQualifierRequestDto"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.PreQualifier.CustomerIntentPrequalifierResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/CustomerIntent/Save":{"post":{"tags":["CustomerIntent"],"summary":"Save the work request for capturing customer intent.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"customerIntentWorkRequest","in":"body","description":"The dto comprising information for work request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.WorkRequest.CustomerIntentWorkRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.WorkRequest.CustomerIntentResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/DTPayoffQuote":{"post":{"tags":["DealerTrack"],"summary":"The post get parameters request.","consumes":[],"produces":["application/json","text/json"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Services.DealerTrack.DealerTrackPayoffQuote"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/SaveDocWorkRequest":{"post":{"tags":["Document"],"summary":"Saves the work request with doc data.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"documentRequest","in":"body","description":"The document request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Document.DocumentRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Document.DocumentResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/UploadDocuments":{"post":{"tags":["Document"],"summary":"Saves the document request.","consumes":[],"produces":["application/json","text/json"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Document.DocumentResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/ExecuteEvent":{"post":{"tags":["Event"],"consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","required":true,"schema":{"$ref":"#/definitions/Fiserv.Franklin.Servicing.Eventing.ExternalEvent"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.ExternalEvents.BaseEventResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetFieldsByFormId":{"post":{"tags":["GenericDataDictionary"],"summary":"Gets the data dictionary IDs, descriptions and values","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"fieldLookupRequest","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.GenericDataDictionary.FieldLookup.FieldLookupRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.GenericDataDictionary.FieldLookup.FieldLookupResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/RelationalDataSave":{"post":{"tags":["GenericDataDictionary"],"summary":"Saves/updates the data in the request.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"fieldUpdateRequest","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.GenericDataDictionary.FieldUpdate.FieldUpdateRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.Platform.V1.Common.Dto.DataSave.RelationalDataSaveResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetNotification":{"post":{"tags":["Notification"],"summary":"Gets notification details","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Notification.NotificationRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Notification.NotificationResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V2/OnetimeACHPayment/OnetimeAchAccountInformation":{"post":{"tags":["OnetimeACHPay"],"summary":"Get the OnetimeAchAccountInformation response.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"workRequestQualifierRequestDto","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.PreQualifier.WorkRequestQualifierRequestDto"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.PreQualifier.OneTimeAchPreQualifierResponseDto"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/OnetimeACHPayment/Save":{"post":{"tags":["OnetimeACHPayment"],"summary":"Add a new record for one time ACH payment.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"workRequestDto","in":"body","description":"The request for adding a one time ACH payment.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.ACH.OnetimeACHPaymentRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.ACH.OnetimeACHPaymentResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/OnetimeACHPayment/Cancel":{"post":{"tags":["OnetimeACHPayment"],"summary":"Cancel an existing record for one time ACH payment.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"workRequestDto","in":"body","description":"The request for cancelling a one time ACH payment.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.ACH.OnetimeACHPaymentRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.ACH.OnetimeACHPaymentResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/OnetimeACHPayment/Prequalify":{"post":{"tags":["OnetimeACHPayment"],"summary":"Get the prequalification response.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"workRequestQualifierRequestDto","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.PreQualifier.WorkRequestQualifierRequestDto"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.PreQualifier.PreQualifierResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/OnetimeACHPayment/OnetimeAchAccountInformation":{"post":{"tags":["OnetimeACHPayment"],"summary":"Get the OnetimeAchAccountInformation response.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"workRequestQualifierRequestDto","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.PreQualifier.WorkRequestQualifierRequestDto"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.PreQualifier.OneTimeAchPreQualifierResponseDto"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/OnetimeACHPayment/OnetimeAchAccountInformation2":{"post":{"tags":["OnetimeACHPayment"],"summary":"Get the OnetimeAchAccountInformation response.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"workRequestQualifierRequestDto","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.PreQualifier.WorkRequestQualifierRequestDto"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.PreQualifier.OneTimeAchPreQualifierResponseDto"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetPaymentHistory":{"post":{"tags":["PaymentHistory"],"summary":"The post payment hostory.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.PaymentHistory.PaymentHistoryRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.PaymentHistory.PaymentHistoryResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetPaymentInformation":{"post":{"tags":["PaymentHistory"],"summary":"The post payment hostory.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.PaymentInformationHistory.PaymentInformationRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.PaymentHistory.PaymentHistoryResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetPayoffQuote":{"post":{"tags":["PayoffQuote"],"summary":"Gets PostPayoffQuote","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.PayOffQuote.PayoffQuoteRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.PayOffQuote.PayoffQuoteResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetPrincipalInterest":{"post":{"tags":["PrincipalInterest"],"summary":"The post payment history.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.PrincipalInterest.PrincipalInterestRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.PrincipalInterest.PrincipalInterestResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetProductTaxRate":{"post":{"tags":["ProductTaxServicer"],"summary":"The post payment history.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Tax.ProductTaxRateRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Tax.ProductTaxRateResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/PostRecordActivity":{"post":{"tags":["RecordActivity"],"summary":"Initiates a record activity transaction.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.WorkRequest.RecordActivityRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.WorkRequest.RecordActivityResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/ContactUs":{"post":{"tags":["RequestType"],"summary":"The post contact us.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.WorkRequest.ContactUsRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.WorkRequest.ContactUsResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/UpdateBorrower":{"post":{"tags":["RequestType"],"summary":"The post update borrower.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.WorkRequest.UpdateBorrowerRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.WorkRequest.UpdateBorrowerResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/SaveBorrower":{"post":{"tags":["RequestType"],"summary":"The post update borrower.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.CustomerInformationRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.WorkRequest.UpdateBorrowerResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/SaveRiskProfile":{"post":{"tags":["RiskProfile"],"summary":"Saves the risk profile data","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"riskProfileRequest","in":"body","description":"The risk profile request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.RiskProfile.RiskProfileRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.RiskProfile.RiskProfileResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetRiskProfileCodes":{"post":{"tags":["RiskProfile"],"summary":"Gets the risk profile codes","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"riskProfileCodeRequest","in":"body","description":"The risk profile code request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.RiskProfile.RiskProfileCodeRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.RiskProfile.RiskProfileCodeResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/OptOut":{"post":{"tags":["Sms"],"summary":"Updates the opt out flag for a user's phone number","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"optOutRequest","in":"body","description":"The opt out request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Sms.OptOutRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Sms.OptOutResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/Tax/TaxRate":{"post":{"tags":["TaxServiceVertexV2"],"consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"taxRateRequest","in":"body","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Tax.TaxRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Tax.TaxRateResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/Tax/GetTaxRates":{"post":{"tags":["TaxServiceVertexV2"],"summary":"Gets the tax data by making a SOAP for CICS call.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"hostRequest","in":"body","description":"The host request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.Platform.V1.Common.Dto.Partner.Host.HostRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.Platform.V1.Common.Dto.Partner.Host.TaxRateItems"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/Telephony/LogContact":{"post":{"tags":["Telephony"],"summary":"The LogContact.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"logContactAttemptRequest","in":"body","description":"The log contact attempt request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Telephony.LogContactAttemptRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Franklin.Servicing.Data.WorkRequest.BaseExecuteWorkRequestResponseDto"}}},"deprecated":true,"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V2/Telephony/LogContact":{"post":{"tags":["Telephony"],"summary":"The LogContact.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"logContactAttemptRequest","in":"body","description":"The log contact attempt request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Franklin.Servicing.Eventing.Commands.LogContact"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.ExternalEvents.BaseEventResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/Telephony/ScreenPop":{"post":{"tags":["Telephony"],"summary":"The send incoming call notification.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"incomingCallRequestDto","in":"body","description":"The incoming call request DTO.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.Platform.V1.Common.Dto.Telephony.IncomingCallNotificationRequestDto"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.Platform.V1.Common.Dto.Telephony.IncomingCallNotificationResponseDto"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/SaveVehicleGrounding":{"post":{"tags":["VehicleGrounding"],"summary":"Save vehicle grounding.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.VehicleGrounding.VehicleGroundingRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.VehicleGrounding.VehicleGroundingResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/Version":{"get":{"tags":["Version"],"summary":"Gets PostPayoffQuote","consumes":[],"produces":["application/json","text/json"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Api.Host.Core.Service.Controllers.InternalTypes.DeploymentEvent"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetParameters":{"post":{"tags":["Vru"],"summary":"The post get parameters request.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Vru.Parameters.ParametersRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Vru.Parameters.ParametersResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetAccountData":{"post":{"tags":["Vru"],"summary":"The post get account data request.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Vru.AccountData.AccountDataRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Vru.AccountData.AccountDataResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/RecordPayoff":{"post":{"tags":["Vru"],"summary":"The post record payoff request.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Vru.RecordPayoff.RecordPayoffRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Vru.RecordPayoff.RecordPayoffResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GenerateLetter":{"post":{"tags":["Vru"],"summary":"The post generate letter request.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Vru.Letters.LetterRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Vru.Letters.LetterResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetWorkQueue":{"post":{"tags":["WorkQueue"],"summary":"Gets work queue details","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.WorkQueue.WorkQueueRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.WorkQueue.WorkQueueResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetWorkRequest":{"post":{"tags":["WorkRequest"],"summary":"Gets Work Request by account numbers.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"request","in":"body","description":"The request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.WorkRequest.WorkRequestRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.WorkRequest.WorkRequestResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/DoPrequalification":{"post":{"tags":["WorkRequestTransaction"],"summary":"Determines if the account qualifies for the given work request.","consumes":[],"produces":["application/json","text/json"],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.WorkRequest.PrequalificationResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/FetchWorkRequests":{"post":{"tags":["WorkRequestTransaction"],"summary":"Fetches the work requests and whether they can be executed for the given account.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"prequalificationRequest","in":"body","description":"The prequalification request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.WorkRequest.PrequalificationRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.WorkRequest.PrequalificationResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetExtensionParameters":{"post":{"tags":["WorkRequestTransaction"],"summary":"Fetches the extension parameters.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"parametersRequest","in":"body","description":"The extension parameters request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.WorkRequest.PaymentExtensionParametersRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.WorkRequest.PaymentExtensionParametersResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/PaymentExtension":{"post":{"tags":["WorkRequestTransaction"],"summary":"Attempts to perform the payoff extension work request.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"paymentExtensionRequest","in":"body","description":"The payment extension request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.WorkRequest.PaymentExtensionRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.WorkRequest.PaymentExtensionResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/TerminateAch":{"post":{"tags":["WorkRequestTransaction"],"summary":"Terminates the existing ACH.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"terminateAchRequest","in":"body","description":"The terminate ACH request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.WorkRequest.TerminateAchRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.WorkRequest.TerminateAchResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetDDCContext":{"post":{"tags":["WorkRequestTransaction"],"summary":"Fetches the min date, max date and exlusion days.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"dueDateChangeContextRequest","in":"body","description":"The due date change context request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.WorkRequest.DueDateChangeContextRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.WorkRequest.DueDateChangeContextResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/ValidateDueDate":{"post":{"tags":["WorkRequestTransaction"],"summary":"Validates the due date provided.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"validateDueDateRequest","in":"body","description":"The validate due date request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.WorkRequest.ValidateDueDateRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.WorkRequest.ValidateDueDateResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/ProcessDDC":{"post":{"tags":["WorkRequestTransaction"],"summary":"Performs the due date change request functionality.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"dueDateChangeRequest","in":"body","description":"The due date change request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.WorkRequest.DueDateChangeRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.WorkRequest.DueDateChangeResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/GetWRDataElements":{"post":{"tags":["WorkRequestTransaction"],"summary":"Fetches the required data elements needed to run the prequalifier/validation rulesets of a given work request.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"requiredDataElementsRequest","in":"body","description":"The required data elements request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.WorkRequest.RequiredDataElementsRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.WorkRequest.RequiredDataElementsResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/V1/ExecuteRuleSetWithExternalData":{"post":{"tags":["WorkRequestTransaction"],"summary":"Execute rule sets with external data.","consumes":["application/json","text/json","application/x-www-form-urlencoded"],"produces":["application/json","text/json"],"parameters":[{"name":"externalRuleExecutionRequest","in":"body","description":"The external rule execution request.","required":true,"schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.WorkRequest.ExternalRuleExecutionRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.WorkRequest.ExternalRuleExecutionResponse"}}},"security":[{"oauth2":["8582d2ea-1557-43c0-a0d3-eeb94ec4013c/.default"]}]}},"/odata/NMACEPay":{"get":{"tags":["OData"],"description":"Gets all NMACEPay entries","operationId":"NMACEPay","produces":["application/atom+xml","application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Api.Host.Core.Models.NMACEPay"}}}}},"deprecated":false}},"/odata/NmacEPay{key}":{"get":{"tags":["OData"],"summary":"Gets specific Epay","description":"Gets specific EPay","operationId":"NmacEPay{key}","produces":["application/atom+xml","application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/System.Web.Http.SingleResultOfFiserv.Api.Host.Core.Models.NMACEPay"}}}},"deprecated":false}},"/odata/NMACSalesForceFinancial":{"get":{"tags":["OData"],"description":"Gets all NMACSalesForceFinancial entries","operationId":"NMACSalesForceFinancial","produces":["application/atom+xml","application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Api.Host.Core.Models.NMACSalesForceFinancial"}}}}},"deprecated":false}},"/odata/NMACSalesForceFinancial{key}":{"get":{"tags":["OData"],"summary":"Gets specific NMACSalesForceFinancial","description":"Gets specific NMACSalesForceFinancial","operationId":"NMACSalesForceFinancial{key}","produces":["application/atom+xml","application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/System.Web.Http.SingleResultOfFiserv.Api.Host.Core.Models.NMACSalesForceFinancial"}}}},"deprecated":false}},"/odata/NMACSalesForceNonFinancial":{"get":{"tags":["OData"],"description":"Gets all NMACSalesForceNonFinancial entries","operationId":"NMACSalesForceNonFinancial","produces":["application/atom+xml","application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Api.Host.Core.Models.NMACSalesForceNonFinancial"}}}}},"deprecated":false}},"/odata/NMACSalesForceNonFinancial{key}":{"get":{"tags":["OData"],"summary":"Gets specific NMACSalesForceNonFinancial","description":"Gets specific NMACSalesForceNonFinancial","operationId":"NMACSalesForceNonFinancial{key}","produces":["application/atom+xml","application/json","text/json","application/xml","text/xml"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/System.Web.Http.SingleResultOfFiserv.Api.Host.Core.Models.NMACSalesForceNonFinancial"}}}},"deprecated":false}}},"definitions":{"Fiserv.Messaging.AATE.V1.Account.AccountDetailsRequest":{"type":"object","properties":{"AccountNumbers":{"type":"array","items":{"type":"string"}},"TenantContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.TenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.ActivityContext"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.Messaging.Common.TenantContext":{"type":"object","properties":{"ConsumerSystemId":{"type":"string"},"ClientId":{"type":"string"},"ConsumerEnvironmentId":{"type":"string"},"TenantId":{"type":"string"}}},"Fiserv.Messaging.Common.ActivityContext":{"type":"object","properties":{"AccountGroupId":{"type":"string"},"AccountId":{"type":"string"},"UserId":{"type":"string"},"VerticalId":{"format":"int32","enum":[0,1,2,3],"type":"integer"},"ActivityId":{"type":"string"},"StubMode":{"format":"int32","enum":[0,1,2],"type":"integer"},"Operation":{"format":"int32","enum":[0,1,2],"type":"integer"},"TimeoutSeconds":{"format":"int32","type":"integer"}}},"Fiserv.Messaging.Common.BaseError":{"type":"object","properties":{"ErrorCode":{"type":"string"},"Description":{"type":"string"},"IsBusinessError":{"type":"boolean"},"EventLogId":{"format":"uuid","type":"string","example":"00000000-0000-0000-0000-000000000000"}}},"Fiserv.Messaging.AATE.V1.Account.AccountDetailsResponse":{"type":"object","properties":{"ActivityId":{"format":"uuid","type":"string","example":"00000000-0000-0000-0000-000000000000"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"},"AccountInformation":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Account.AccountDetails"}}}},"Fiserv.Messaging.AATE.V1.Account.AccountDetails":{"type":"object","properties":{"AccountNumber":{"type":"string"},"Product":{"type":"string"},"CollateralType":{"type":"string"},"AccountStatus":{"type":"string"},"AccountArea":{"type":"string"},"CreditBalanceIndicator":{"type":"string"},"DaysPastDue":{"format":"int32","type":"integer"},"AmountPastDue":{"format":"double","type":"number"},"LastPaymentDate":{"format":"date-time","type":"string"},"LastPaymentAmount":{"format":"double","type":"number"},"NextPaymentDate":{"format":"date-time","type":"string"},"SinglePayLease":{"type":"string"},"DueDay":{"format":"int64","type":"integer"},"StartDate":{"format":"date-time","type":"string"},"MaturityDate":{"format":"date-time","type":"string"},"MonthsRemaining":{"format":"int64","type":"integer"},"BasePayment":{"format":"double","type":"number"},"BaseTaxPayment":{"format":"double","type":"number"},"TotalPayment":{"format":"double","type":"number"},"APRRate":{"format":"double","type":"number"},"AccountBranding":{"type":"string"},"StopPayment":{"type":"string"},"DealerName":{"type":"string"},"DealerState":{"type":"string"},"PaymentFrequency":{"type":"string"},"TotalPaymentAmountRemaining":{"format":"double","type":"number"},"OtherReceivables":{"format":"double","type":"number"},"Term":{"format":"int32","type":"integer"},"BookingDate":{"format":"date-time","type":"string"},"PaymentsMade":{"format":"int32","type":"integer"},"PaymentsRemaining":{"format":"int32","type":"integer"},"AccountBalance":{"format":"double","type":"number"},"StatementPreferenceIndicator":{"type":"string"},"BorrowerInformation":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Account.BorrowerDetails"}},"Collateral":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Account.CollateralDetails"}},"PaidToDate":{"format":"date-time","type":"string"},"CreditScore":{"type":"string"},"CreditTier":{"type":"string"},"OutstandingPaymentDue":{"format":"double","type":"number"},"CeaseandDesistFlag":{"type":"string"},"SCRAFlag":{"type":"string"},"AccountBlockWebFlag":{"type":"string"},"AlertDetails":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Account.Alert"}},"PayoffQuoteUnavailable":{"type":"boolean"},"TotalRemainingTaxCreditAmount":{"format":"double","type":"number"},"CurrentBusinessDate":{"format":"date-time","type":"string"},"CurrentInterestBalance":{"format":"double","type":"number"},"CurrentPrincipalBalance":{"format":"double","type":"number"},"InterestPerDiem":{"format":"double","type":"number"},"LateFeeBalance":{"format":"double","type":"number"},"NetPayoffAmount":{"format":"double","type":"number"},"CloseOutType":{"type":"string"},"RecoveryStatus":{"type":"string"},"BankruptcyIndicator":{"type":"string"},"RepossessionStatus":{"type":"string"},"RepossessionApprovalType":{"type":"string"},"AccrualSuspendedFlag":{"type":"string"},"ExtensionInProgress":{"type":"string"},"VehicleSaleType":{"type":"string"},"LiabilityBillingInformationAvailable":{"type":"string"},"InspectionInformationAvailable":{"type":"string"},"RenewalMaturityDate":{"type":"string"},"OriginalMaturityDate":{"type":"string"},"ExtendedMaturityDate":{"type":"string"},"RepossessionAssignedFlag":{"type":"string"},"NextPaymentAmount":{"format":"double","type":"number"},"LateChargesAmount":{"format":"double","type":"number"},"ExtensionFeeAmount":{"format":"double","type":"number"},"MiscFeeAmount":{"format":"double","type":"number"},"CreditBalanceAmount":{"format":"double","type":"number"},"TotalAmountDue":{"format":"double","type":"number"},"DealerId":{"type":"string"},"PayoffSalesTax":{"format":"double","type":"number"},"PayoffSalesTaxRate":{"format":"double","type":"number"},"PayoffContractObligation":{"format":"double","type":"number"},"PayoffFutureRent":{"format":"double","type":"number"},"PayoffCurrentRent":{"format":"double","type":"number"},"PayoffPaymentRent":{"format":"double","type":"number"},"AccountExtension":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Account.AccountExtension"},"VerticalId":{"type":"string"},"AccountDepartmentId":{"type":"string"},"AccountModuleId":{"type":"string"},"AccountV8Url":{"type":"string"},"InterestPaidLastYear":{"format":"double","type":"number"},"LastPaymentSource":{"type":"string"},"LastExtensionDate":{"format":"date-time","type":"string"},"NonFEMAExtensionCount":{"format":"int32","type":"integer"},"FEMAExtensionCount":{"format":"int32","type":"integer"},"DueDateChangeCount":{"format":"int32","type":"integer"},"FICOStrategyDirectorCode":{"type":"string"},"ExistingCustomerFlag":{"type":"string"},"PastDueAmount30":{"format":"double","type":"number"},"PastDueAmount60":{"format":"double","type":"number"},"PastDueAmount90":{"format":"double","type":"number"},"PastDueAmount120":{"format":"double","type":"number"},"PastDueAmount150":{"format":"double","type":"number"},"PastDueFlag":{"type":"string"},"Level1":{"type":"string"},"Level2":{"type":"string"},"Level3":{"type":"string"},"LiabilityCompleteDate":{"format":"date-time","type":"string"},"AccountRenewalMaturityDate":{"format":"date-time","type":"string"},"LmmCompleteDate":{"format":"date-time","type":"string"},"AfterMarketProducts":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Account.AfterMarketDetails"}},"WorkQueues":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Account.WorkQueueDetails"}}}},"Fiserv.Messaging.AATE.V1.Account.BorrowerDetails":{"type":"object","properties":{"BorrowerId":{"maxLength":15,"minLength":0,"pattern":"^\\d*$","type":"string"},"BorrowerType":{"maxLength":30,"minLength":0,"pattern":"^[A-Za-z\\d]*$","type":"string"},"Prefix":{"maxLength":10,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,\\.&'` ]+$","type":"string"},"Suffix":{"maxLength":10,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,\\.&'` ]+$","type":"string"},"FirstName":{"maxLength":100,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,\\.&'` ]+$","type":"string"},"MiddleName":{"maxLength":100,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,\\.&'` ]+$","type":"string"},"LastName":{"maxLength":100,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,\\.&'` ]+$","type":"string"},"Email":{"maxLength":100,"minLength":0,"type":"string"},"EmailExpressedConsent":{"maxLength":10,"minLength":0,"pattern":"^[A-Za-z\\d]*$","type":"string"},"EmailDNC":{"maxLength":3,"minLength":0,"pattern":"^[A-Za-z\\d]*$","type":"string"},"HomePhone":{"type":"string"},"CellPhone":{"type":"string"},"BusinessPhone":{"type":"string"},"Fax":{"type":"string"},"Address1":{"maxLength":50,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,\\.&'` ]+$","type":"string"},"Address2":{"maxLength":50,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,\\.&'` ]+$","type":"string"},"City":{"maxLength":50,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,\\.&'` ]+$","type":"string"},"State":{"maxLength":30,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,\\.&'` ]+$","type":"string"},"Country":{"maxLength":3,"minLength":0,"pattern":"^[A-Za-z\\d]*$","type":"string"},"LanguagePreference":{"maxLength":10,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,%`\\.;:\\|&'_\\*\\s/+()]+$","type":"string"},"Zip":{"maxLength":10,"minLength":0,"pattern":"^[\\da-zA-Z-'` ]+$","type":"string"},"GaragingAddress1":{"maxLength":50,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,\\.&'` ]+$","type":"string"},"GaragingAddress2":{"maxLength":50,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,\\.&'` ]+$","type":"string"},"GaragingCity":{"maxLength":50,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,\\.&'` ]+$","type":"string"},"GaragingState":{"maxLength":30,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,\\.&'` ]+$","type":"string"},"GaragingZip":{"maxLength":10,"minLength":0,"pattern":"^[\\da-zA-Z-'` ]+$","type":"string"},"ContactId":{"maxLength":30,"minLength":0,"pattern":"^[A-Za-z\\d]*$","type":"string"},"DeceasedFlag":{"maxLength":1,"minLength":0,"pattern":"^[A-Za-z\\d]*$","type":"string"},"HomePhoneDNC":{"maxLength":3,"minLength":0,"pattern":"^[A-Za-z\\d]*$","type":"string"},"HomePhoneExpressedConsent":{"maxLength":10,"minLength":0,"pattern":"^[A-Za-z\\d]*$","type":"string"},"CellPhoneDNC":{"maxLength":3,"minLength":0,"pattern":"^[A-Za-z\\d]*$","type":"string"},"CellPhoneExpressedConsent":{"maxLength":10,"minLength":0,"pattern":"^[A-Za-z\\d]*$","type":"string"},"SMSBlocked":{"maxLength":3,"minLength":0,"pattern":"^[A-Za-z\\d]*$","type":"string"},"BusinessPhoneDNC":{"maxLength":3,"minLength":0,"pattern":"^[A-Za-z\\d]*$","type":"string"},"BusinessPhoneExpressedConsent":{"maxLength":10,"minLength":0,"pattern":"^[A-Za-z\\d]*$","type":"string"},"Ssn":{"maxLength":9,"minLength":0,"pattern":"^\\d*$","type":"string"},"Dob":{"format":"date-time","type":"string"},"BankruptcyCode":{"maxLength":2,"minLength":0,"pattern":"^[A-Za-z\\d]*$","type":"string"},"OfacFlag":{"maxLength":1,"minLength":0,"pattern":"^[A-Za-z\\d]*$","type":"string"},"ConsumerBusinessIndicator":{"pattern":"^[A-Za-z\\d]*$","type":"string"},"AlertDetails":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.Account.Alert"}},"ActiveMilitaryFlag":{"maxLength":1,"minLength":0,"pattern":"^[A-Za-z\\d]*$","type":"string"},"BankruptcyPlanType":{"type":"string"}}},"Fiserv.Messaging.AATE.V1.Account.CollateralDetails":{"type":"object","properties":{"Year":{"format":"int64","type":"integer"},"Make":{"type":"string"},"Model":{"type":"string"},"Style":{"type":"string"},"NewUsed":{"type":"string"},"Vin":{"type":"string"},"DeliveryMiles":{"format":"int64","type":"integer"},"ContractMiles":{"format":"int64","type":"integer"},"FinalMilesLimit":{"format":"int64","type":"integer"},"ResidualValue":{"format":"double","type":"number"},"PurchasedMiles":{"format":"double","type":"number"},"CustomerIntent":{"type":"string"},"LenderStrategy":{"type":"string"},"ModelDescription":{"type":"string"},"ExcessMiles":{"format":"int32","type":"integer"},"VehicleLicensePlate":{"type":"string"},"VehicleLicensePlateState":{"type":"string"}}},"Fiserv.Messaging.AATE.V1.Account.Alert":{"type":"object","properties":{"AlertCode":{"maxLength":30,"minLength":0,"pattern":"^[\\da-zA-Z-'` ]+$","type":"string"},"AlertDescription":{"maxLength":500,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,\\.&'` ]+$","type":"string"}}},"Fiserv.Messaging.AATE.V1.Account.AccountExtension":{"type":"object","properties":{"ExistingAccount":{"type":"string"},"ApplicationId":{"type":"string"},"DaysDelinquent":{"format":"int32","type":"integer"},"EcoaIndicator":{"type":"string"},"ChargeOffIndicator":{"type":"string"},"CmsActivity":{"type":"string"},"OpenDate":{"format":"date-time","type":"string"},"OriginalAmount":{"format":"double","type":"number"},"RemainingTerm":{"format":"int32","type":"integer"},"NetCapCost":{"format":"double","type":"number"},"BaseRent":{"format":"double","type":"number"},"LeaseTermType":{"type":"string"},"NetInvestment":{"format":"double","type":"number"},"PastDue30":{"format":"double","type":"number"},"PastDue60":{"format":"double","type":"number"},"PastDue90":{"format":"double","type":"number"},"PastDue120":{"format":"double","type":"number"},"PastDue150":{"format":"double","type":"number"},"Times15":{"format":"int32","type":"integer"},"Times30":{"format":"int32","type":"integer"},"Times60":{"format":"int32","type":"integer"},"Times90":{"format":"int32","type":"integer"},"Times120":{"format":"int32","type":"integer"},"Times150":{"format":"int32","type":"integer"},"NsfCount":{"format":"int32","type":"integer"},"LastExtensionDate":{"format":"date-time","type":"string"},"NumberOfExtensions":{"format":"int32","type":"integer"}}},"Fiserv.Messaging.AATE.V1.Account.AfterMarketDetails":{"type":"object","properties":{"ProductName":{"type":"string"},"PremiumAmount":{"format":"double","type":"number"}}},"Fiserv.Messaging.AATE.V1.Account.WorkQueueDetails":{"type":"object","properties":{"QueueType":{"type":"string"},"QueuePriority":{"format":"int32","type":"integer"},"QueueId":{"type":"string"},"QueueDesc":{"type":"string"},"QueueSegmentId":{"type":"string"},"QueueSegmentDesc":{"type":"string"},"Department":{"type":"string"}}},"Fiserv.App.AAE.V1.Dtos.AccountDetails.AccountRequest":{"type":"object","properties":{"AccountNumbers":{"type":"array","items":{"type":"string"}},"TenantContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.TenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.ActivityContext"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.Messaging.AATE.V1.Account.AccountDetailsRequestByKey":{"type":"object","properties":{"LookupKey":{"type":"string"},"LookupValue":{"type":"string"},"ReturnLimit":{"format":"int32","type":"integer"},"FilterPhoneNumber":{"type":"string"},"TenantContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.TenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.ActivityContext"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.App.AAE.V1.Dtos.AccountDetails.UserAccountDetailRequest":{"required":["UserGuid"],"type":"object","properties":{"UserGuid":{"maxLength":36,"minLength":0,"type":"string"},"Language":{"type":"string"},"TenantContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.TenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.ActivityContext"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.App.AAE.V1.Dtos.AccountDetails.Porsche.UserAccountResponse":{"type":"object","properties":{"AccountInformation":{"type":"array","items":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.AccountDetails.UserAccountInformation"}},"MaturitySetting":{"format":"int32","type":"integer"},"ActivityId":{"type":"string"},"TenantContext":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.AccountDetails.Porsche.PorscheTenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.AccountDetails.Porsche.PorscheActivityContext"},"LobErrors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.AccountDetails.Porsche.PorscheLobError"}},"HasLobErrors":{"type":"boolean"}}},"Fiserv.App.AAE.V1.Dtos.AccountDetails.UserAccountInformation":{"type":"object","properties":{"AccountNumber":{"type":"string"},"DaysToMaturity":{"format":"int32","type":"integer"},"PaymentDueDate":{"format":"date-time","type":"string"},"LastStatementDate":{"format":"date-time","type":"string"},"Product":{"type":"string"},"PaperlessPreference":{"type":"string"},"VIN":{"type":"string"}}},"Fiserv.App.AAE.V1.Dtos.AccountDetails.Porsche.PorscheTenantContext":{"type":"object","properties":{"ConsumerSystemId":{"type":"string"},"ClientId":{"type":"string"},"ConsumerEnvironmentId":{"type":"string"},"TenantId":{"type":"string"}}},"Fiserv.App.AAE.V1.Dtos.AccountDetails.Porsche.PorscheActivityContext":{"type":"object","properties":{"ActivityId":{"type":"string"},"UserId":{"type":"string"}}},"Fiserv.App.AAE.V1.Dtos.AccountDetails.Porsche.PorscheLobError":{"type":"object","properties":{"ErrorResourceKey":{"type":"string"},"ErrorCode":{"type":"string"},"Description":{"type":"string"},"IsBusinessError":{"type":"boolean"}}},"Fiserv.App.AAE.V1.Dtos.AccountMemo.AccountMemoRequestDto":{"required":["AccountNumber"],"type":"object","properties":{"AccountNumber":{"pattern":"^\\d*$","type":"string"},"DepartmentId":{"pattern":"^[A-Za-z]*$","type":"string"},"SessionId":{"type":"string"},"MemoNote":{"pattern":"^[\\w\\d\\s`'\"()-=~*{}%<>!@#$^&_’–+.,?/\\\\\\[\\]\\|]*$","type":"string"},"CriticalMemo":{"format":"int32","maximum":1,"minimum":0,"type":"integer"},"MemoDateTime":{"format":"date-time","type":"string"},"CriticalMemoExpireDate":{"format":"date-time","type":"string"},"TenantContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.TenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.ActivityContext"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.App.AAE.V1.Dtos.AccountMemo.AccountMemoResponseDto":{"type":"object","properties":{"TenantContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.TenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.ActivityContext"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.Messaging.AATE.V1.AccountMemo.AccountMemoDetailRequest":{"required":["AccountNumbers"],"type":"object","properties":{"AccountNumbers":{"type":"array","items":{"type":"string"}},"Filter":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.AccountMemo.AccountMemoFilter"},"TenantContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.TenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.ActivityContext"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.Messaging.AATE.V1.AccountMemo.AccountMemoFilter":{"type":"object","properties":{"Department":{"type":"string"},"StartDatetime":{"format":"date-time","type":"string"},"EndDateTime":{"format":"date-time","type":"string"},"User":{"type":"string"},"EventType":{"type":"string"},"Notes":{"type":"string"},"Critical":{"format":"int32","type":"integer"},"StartExpirationDate":{"format":"date-time","type":"string"},"EndExpirationDate":{"format":"date-time","type":"string"},"WorkRequestInstanceId":{"type":"string"}}},"Fiserv.Messaging.AATE.V1.AccountMemo.AccountMemoDetailResponse":{"type":"object","properties":{"ActivityId":{"type":"string"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"},"AccountMemoInformation":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.AccountMemo.AccountMemoInformation"}}}},"Fiserv.Messaging.AATE.V1.AccountMemo.AccountMemoInformation":{"type":"object","properties":{"AccountNumber":{"type":"string"},"AccountMemoDetails":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.AccountMemo.AccountMemoDetail"}}}},"Fiserv.Messaging.AATE.V1.AccountMemo.AccountMemoDetail":{"type":"object","properties":{"Department":{"type":"string"},"DateTime":{"format":"date-time","type":"string"},"User":{"type":"string"},"EventType":{"type":"string"},"Notes":{"type":"string"},"Critical":{"type":"string"},"ExpirationDate":{"format":"date-time","type":"string"},"WorkRequestInstanceId":{"format":"uuid","type":"string","example":"00000000-0000-0000-0000-000000000000"}}},"Fiserv.App.AAE.V1.Dtos.AccountPaymentReversal.AccountPaymentRequestDto":{"required":["AccountNumber","TransactionId","PaymentType","Amount"],"type":"object","properties":{"AccountNumber":{"pattern":"^\\d*$","type":"string"},"TransactionId":{"pattern":"^[A-Za-z\\d]*$","type":"string"},"BranchNumber":{"pattern":"^[A-Za-z\\d]*$","type":"string"},"PaymentType":{"format":"int32","maximum":1,"minimum":0,"type":"integer"},"PaymentSource":{"pattern":"^[\\dA-ZÀ-ÿa-z-,\\.&'` ]+$","type":"string"},"Amount":{"format":"double","minimum":0,"type":"number"},"EffectiveDate":{"format":"date-time","type":"string"},"TransactionDate":{"format":"date-time","type":"string"},"ReversalReason":{"pattern":"^[A-Za-z\\d]*$","type":"string"},"Code":{"pattern":"^[\\dA-ZÀ-ÿa-z-,%`\\.;:\\|&'_\\*\\s/+()]+$","type":"string"},"ReferenceNumber":{"pattern":"^[\\dA-ZÀ-ÿa-z-,%`\\.;:\\|&'_\\*\\s/+()]+$","type":"string"},"TenantContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.TenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.ActivityContext"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.App.AAE.V1.Dtos.AccountPaymentReversal.AccountPaymentResponseDto":{"type":"object","properties":{"TenantContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.TenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.ActivityContext"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.App.AAE.V1.Dtos.PreQualifier.WorkRequestQualifierRequestDto":{"required":["Language","AccountNumber"],"type":"object","properties":{"Language":{"type":"string"},"AccountNumber":{"maxLength":20,"minLength":0,"pattern":"^[A-Za-z\\d]*$","type":"string"},"AccountId":{"format":"int32","type":"integer"},"CurrentBusinessDate":{"format":"date-time","type":"string"},"UserLanguage":{"type":"string"},"UserExperienceLevel":{"format":"int32","type":"integer"},"UserAuthorizationLevel":{"format":"int32","type":"integer"},"RuleSetPublishedId":{"format":"uuid","type":"string","example":"00000000-0000-0000-0000-000000000000"},"RequiresPositiveRule":{"type":"boolean"},"RuleSetId":{"type":"string"},"ExternalData":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Franklin.Servicing.Data.Rule.ExternalData"}},"LobErrors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.LobError"}},"HasLobErrors":{"type":"boolean"},"TenantContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.TenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.ActivityContext"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.Franklin.Servicing.Data.Rule.ExternalData":{"type":"object","properties":{"DataDictionaryId":{"type":"string"},"DataDescription":{"type":"string"},"DataValue":{"type":"string"}}},"Fiserv.Messaging.Common.LobError":{"type":"object","properties":{"ErrorResourceKey":{"type":"string"},"ExceptionMessage":{"type":"string"},"StackTrace":{"type":"string"},"ErrorCode":{"type":"string"},"Description":{"type":"string"},"IsBusinessError":{"type":"boolean"},"EventLogId":{"format":"uuid","type":"string","example":"00000000-0000-0000-0000-000000000000"}}},"Fiserv.App.AAE.V1.Dtos.PreQualifier.PreQualifierResponse":{"type":"object","properties":{"AccountQualified":{"type":"string"},"ACHPreQualifyReason":{"type":"array","items":{"type":"string"}},"ActivityId":{"type":"string"},"TenantContext":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.AccountDetails.Porsche.PorscheTenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.AccountDetails.Porsche.PorscheActivityContext"},"LobErrors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.AccountDetails.Porsche.PorscheLobError"}},"HasLobErrors":{"type":"boolean"}}},"Fiserv.App.AAE.V1.Dtos.PreQualifier.AchEnrollmentPreQualifierResponseDto":{"type":"object","properties":{"Status":{"type":"array","items":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.Status"}},"HasStatus":{"type":"boolean"},"ActivityId":{"type":"string"},"EnrollmentAccountDetails":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.PreQualifier.EnrollmentAccountInformation"},"TenantContext":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.AccountDetails.Porsche.PorscheTenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.AccountDetails.Porsche.PorscheActivityContext"},"LobErrors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.AccountDetails.Porsche.PorscheLobError"}},"HasLobErrors":{"type":"boolean"}}},"Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.Status":{"type":"object","properties":{"Description":{"type":"string"},"Code":{"type":"string"}}},"Fiserv.App.AAE.V1.Dtos.PreQualifier.EnrollmentAccountInformation":{"type":"object","properties":{"EffectiveDate":{"format":"date-time","type":"string"},"BankAccountTypeCode":{"type":"string"},"BankAccountNumber":{"type":"string"},"AbaNumber":{"type":"string"},"LoanStatement":{"type":"string"},"PrenoteDate":{"format":"date-time","type":"string"}}},"Fiserv.App.AAE.V1.Dtos.ACH.AchEnrollmentWorkRequest":{"required":["AccountNumber","Language","AchEnrollmentInformation"],"type":"object","properties":{"AccountNumber":{"pattern":"^[A-Za-z\\d]*$","type":"string"},"TerminateReason":{"pattern":"^[\\dA-ZÀ-ÿa-z-,%`\\.;:\\|&'_\\*\\s/+()]+$","type":"string"},"Language":{"pattern":"^[\\dA-ZÀ-ÿa-z-,%`\\.;:\\|&'_\\*\\s/+()]+$","type":"string"},"AchEnrollmentInformation":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.ACH.AchEnrollmentInformation"},"TenantContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.TenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.ActivityContext"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.App.AAE.V1.Dtos.ACH.AchEnrollmentInformation":{"required":["AccountType","ABANumber","BankAccountNumber"],"type":"object","properties":{"AccountType":{"maxLength":10,"minLength":0,"pattern":"^[A-Za-z]*$","type":"string"},"ABANumber":{"maxLength":10,"minLength":0,"pattern":"^\\d*$","type":"string"},"BankAccountNumber":{"maxLength":20,"minLength":0,"pattern":"^\\d*$","type":"string"},"BankName":{"pattern":"^[\\dA-ZÀ-ÿa-z-,%`\\.;:\\|&'_\\*\\s/+()]+$","type":"string"},"AchPaymentNickName":{"maxLength":30,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,%`\\.;:\\|&'_\\*\\s/+()]+$","type":"string"}}},"Fiserv.App.AAE.V1.Dtos.ACH.AchEnrollmentResponse":{"type":"object","properties":{"ACHStatus":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.ACH.ResponseStatus"},"TenantContext":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.AccountDetails.Porsche.PorscheTenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.AccountDetails.Porsche.PorscheActivityContext"},"LobErrors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.AccountDetails.Porsche.PorscheLobError"}},"HasLobErrors":{"type":"boolean"}}},"Fiserv.App.AAE.V1.Dtos.ACH.ResponseStatus":{"type":"object","properties":{"Success":{"maxLength":1,"minLength":0,"pattern":"^[A-Za-z]*$","type":"string"}}},"Fiserv.Messaging.AATE.V1.AmortizationSchedule.AmortizationScheduleRequest":{"required":["AccountNumber"],"type":"object","properties":{"AccountNumber":{"type":"string"},"HistoryFromDate":{"format":"date-time","type":"string"},"HistoryThruDate":{"format":"date-time","type":"string"},"Product":{"type":"string"},"TenantContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.TenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.ActivityContext"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.Messaging.AATE.V1.AmortizationSchedule.AmortizationScheduleResponse":{"type":"object","properties":{"ActivityId":{"format":"uuid","type":"string","example":"00000000-0000-0000-0000-000000000000"},"AccountNumber":{"type":"string"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"},"AmortizationScheduleRecords":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.AATE.V1.AmortizationSchedule.AmortizationScheduleRecord"}}}},"Fiserv.Messaging.AATE.V1.AmortizationSchedule.AmortizationScheduleRecord":{"type":"object","properties":{"EffectiveDate":{"type":"string"},"EndDate":{"type":"string"},"PrincipalBalance":{"format":"double","type":"number"},"InterestAmount":{"format":"double","type":"number"},"InterestDays":{"format":"int32","type":"integer"},"InterestRate":{"format":"double","type":"number"},"InterestType":{"type":"string"},"InterestDaysInYear":{"format":"int32","type":"integer"}}},"Fiserv.App.AAE.V1.Dtos.Booking.BookingRequest":{"type":"object","properties":{"ProductType":{"type":"string"},"BookingPayload":{"type":"string"},"AftermarketProducts":{"type":"array","items":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Booking.AftermarketProduct"}},"CollateralTypes":{"type":"array","items":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Booking.CollateralType"}},"AdditionalFields":{"type":"array","items":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Booking.AdditionalField"}},"PhoneInformation":{"type":"array","items":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.Booking.PhoneInformation"}},"TenantContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.TenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.ActivityContext"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.App.AAE.V1.Dtos.Booking.AftermarketProduct":{"type":"object","properties":{"ProductType":{"type":"string"},"ProductId":{"type":"string"},"ProductName":{"type":"string"},"PremiumAmount":{"format":"double","type":"number"},"Mileage":{"format":"int32","type":"integer"},"CompanyId":{"type":"string"},"CompanyName":{"type":"string"},"Term":{"format":"int32","type":"integer"},"RebateType":{"type":"string"},"RebateFormula":{"type":"string"}}},"Fiserv.App.AAE.V1.Dtos.Booking.CollateralType":{"type":"object","properties":{"SubType":{"type":"string"},"SortId":{"type":"string"},"Type":{"type":"string"},"VehType":{"type":"string"},"VehClass":{"type":"string"},"MarineType":{"type":"string"},"EngineType":{"type":"string"},"TrailerType":{"type":"string"},"ProviderId":{"type":"string"},"Year":{"type":"string"},"Make":{"type":"string"},"Model":{"type":"string"},"Style":{"type":"string"},"Trim":{"type":"string"},"Mileage":{"format":"int32","type":"integer"},"ExtColor":{"type":"string"},"IntColor":{"type":"string"},"Manufacturer":{"type":"string"},"SerialNbr":{"type":"string"},"HullMaterial":{"type":"string"},"RegState":{"type":"string"},"RegNbr":{"type":"string"},"RegExpMonth":{"type":"string"},"RegExpYear":{"type":"string"},"SourceCode":{"type":"string"},"TitleLienStatus":{"type":"string"},"Length":{"format":"int32","type":"integer"},"Msrp":{"format":"double","type":"number"},"Invoice":{"format":"double","type":"number"},"Wholesale":{"format":"double","type":"number"},"ExtendedOptions":{"type":"string"},"OtherOptions":{"type":"string"},"EngineFuelType":{"type":"string"},"EngineHP":{"type":"string"},"UsedFor":{"type":"string"},"Value":{"format":"double","type":"number"},"EngineHours":{"format":"int32","type":"integer"},"TrailerValueSrc":{"type":"string"},"Weight":{"type":"string"}}},"Fiserv.App.AAE.V1.Dtos.Booking.AdditionalField":{"type":"object","properties":{"Name":{"type":"string"},"Value":{"type":"string"},"PartyType":{"type":"string"}}},"Fiserv.App.AAE.V1.Dtos.Booking.PhoneInformation":{"type":"object","properties":{"PartyType":{"type":"string"},"PhoneNumber":{"type":"string"},"PhoneTypeCode":{"type":"string"},"UsageBlocked":{"type":"string"},"DialerBlocked":{"type":"string"},"ConsentProviderCode":{"type":"string"},"ConsentReceivedTypeCode":{"type":"string"},"SmsStop":{"type":"string"}}},"Fiserv.App.AAE.V1.Dtos.Booking.BookingResponse":{"type":"object","properties":{"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.UserSessionRequest":{"required":["EnrollmentContext"],"type":"object","properties":{"EnrollmentContext":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.EnrollmentContext"},"AccountNumber":{"maxLength":20,"minLength":0,"pattern":"^\\d*$","type":"string"},"Language":{"pattern":"^[\\da-zA-Z-'` ]+$","type":"string"},"TenantContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.TenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.ActivityContext"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.EnrollmentContext":{"required":["UserGuid","OrganizationId"],"type":"object","properties":{"UserGuid":{"maxLength":36,"minLength":0,"pattern":"^[\\da-zA-Z-'` ]+$","type":"string"},"EnrolledEmailAddress":{"type":"string"},"EnrolledPhoneNbr":{"pattern":"^[\\d\\. -]+$","type":"string"},"OrganizationId":{"maxLength":30,"minLength":0,"pattern":"^[\\da-zA-Z-'` ]+$","type":"string"}}},"Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.UserSessionResponse":{"type":"object","properties":{"Accounts":{"type":"array","items":{"type":"string"}},"Status":{"type":"array","items":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.Status"}},"HasStatus":{"type":"boolean"},"ActivityId":{"type":"string"},"LobErrors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.LobError"}},"HasLobErrors":{"type":"boolean"},"TenantContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.TenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.ActivityContext"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.ValidateAndLinkRequest":{"required":["EnrollmentContext"],"type":"object","properties":{"EnrollmentContext":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.EnrollmentContext"},"BorrowerContext":{"type":"object","additionalProperties":{"type":"string"}},"USABorrowerContext":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.USABorrowerContext"},"CANBorrowerContext":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.CANBorrowerContext"},"AccountNumber":{"maxLength":20,"minLength":0,"pattern":"^\\d*$","type":"string"},"Language":{"pattern":"^[\\da-zA-Z-'` ]+$","type":"string"},"TenantContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.TenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.ActivityContext"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.USABorrowerContext":{"required":["MailingAddressZipCode","SSN"],"type":"object","properties":{"MailingAddressZipCode":{"maxLength":10,"minLength":0,"pattern":"^[\\d\\. -]+$","type":"string"},"SSN":{"maxLength":9,"minLength":0,"pattern":"^\\d*$","type":"string"},"BorrowerFirstName":{"maxLength":30,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,\\.&'` ]+$","type":"string"},"BorrowerMiddleName":{"maxLength":30,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,\\.&'` ]+$","type":"string"},"BorrowerLastName":{"maxLength":30,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,\\.&'` ]+$","type":"string"},"Last6VIN":{"maxLength":17,"minLength":0,"pattern":"^[A-Za-z\\d]*$","type":"string"}}},"Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.CANBorrowerContext":{"required":["MailingAddressPostalCode","OriginatingDealerId"],"type":"object","properties":{"MailingAddressPostalCode":{"maxLength":20,"minLength":0,"pattern":"^[\\da-zA-Z-'` ]+$","type":"string"},"OriginatingDealerId":{"maxLength":20,"minLength":0,"pattern":"^[\\da-zA-Z-'` ]+$","type":"string"},"CollateralYear":{"maxLength":4,"minLength":0,"pattern":"^\\d*$","type":"string"},"CollateralMake":{"maxLength":20,"minLength":0,"pattern":"^[\\da-zA-Z-'` ]+$","type":"string"},"CollateralModel":{"maxLength":20,"minLength":0,"pattern":"^[\\da-zA-Z-'` ]+$","type":"string"},"BorrowerFirstName":{"maxLength":30,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,\\.&'` ]+$","type":"string"},"BorrowerMiddleName":{"maxLength":30,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,\\.&'` ]+$","type":"string"},"BorrowerLastName":{"maxLength":30,"minLength":0,"pattern":"^[\\dA-ZÀ-ÿa-z-,\\.&'` ]+$","type":"string"},"Last6VIN":{"maxLength":17,"minLength":0,"pattern":"^[A-Za-z\\d]*$","type":"string"}}},"Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.AccountLinkedResponse":{"type":"object","properties":{"Accounts":{"type":"array","items":{"type":"string"}},"Status":{"type":"array","items":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.Status"}},"HasStatus":{"type":"boolean"},"ActivityId":{"type":"string"},"LobErrors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.LobError"}},"HasLobErrors":{"type":"boolean"},"TenantContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.TenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.ActivityContext"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.ValidateAndDelinkRequest":{"required":["EnrollmentContext"],"type":"object","properties":{"EnrollmentContext":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.EnrollmentContext"},"AccountNumber":{"maxLength":20,"minLength":0,"pattern":"^\\d*$","type":"string"},"Language":{"pattern":"^[\\da-zA-Z-'` ]+$","type":"string"},"TenantContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.TenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.ActivityContext"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.AccountDelinkedResponse":{"type":"object","properties":{"Accounts":{"type":"array","items":{"type":"string"}},"Status":{"type":"array","items":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.Status"}},"HasStatus":{"type":"boolean"},"ActivityId":{"type":"string"},"LobErrors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.LobError"}},"HasLobErrors":{"type":"boolean"},"TenantContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.TenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.ActivityContext"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.MessageDetailsQueryRequest":{"type":"object","properties":{"Language":{"type":"string"},"ReferenceId":{"type":"string"},"TenantContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.TenantContext"},"ActivityContext":{"$ref":"#/definitions/Fiserv.Messaging.Common.ActivityContext"},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.BorrowerHardshipQueryResponse":{"type":"object","properties":{"HardshipDetails":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.BorrowerHardshipDto"},"ReferenceId":{"type":"string"},"HasLobErrors":{"type":"boolean"},"LobErrors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.LobError"},"readOnly":true},"Errors":{"type":"array","items":{"$ref":"#/definitions/Fiserv.Messaging.Common.BaseError"}},"HasErrors":{"type":"boolean"}}},"Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.BorrowerHardshipDto":{"type":"object","properties":{"PrimaryBorrower":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.BorrowerDto"},"SecondaryBorrower":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.BorrowerDto"},"Expenses":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.ExpensesDto"},"Assets":{"$ref":"#/definitions/Fiserv.App.AAE.V1.Dtos.BorrowerAccountManagement.AssetsDto"},"Notes":{"type":"string"}}},"Fiserv.Ap
[...]
